Package Gnumed :: Package CherryPy :: Module gmGuiHelpersWeb :: Class cFileDropTarget |
[frames] | no frames]

# Class cFileDropTarget

source code

             object --+
                      |
    wx._misc.DropTarget --+
                          |
    wx._misc.FileDropTarget --+
                              |
                             cFileDropTarget

    Generic file drop target class.

    Protocol:
            Widgets being declared file drop targets
            must provide the method:

                    add_filenames(filenames)

Instance Methods
FileDropTarget |
__init__(self, target) __init__(self, DataObject dataObject=None) -> DropTarget | source code
OnDropFiles(self, x, y, filenames) | source code
Inherited from `wx._misc.FileDropTarget`: `__repr__`, `base_OnData`, `base_OnDragOver`, `base_OnDrop`, `base_OnEnter`, `base_OnLeave` Inherited from `wx._misc.DropTarget`: `GetData`, `GetDataObject`, `GetDefaultAction`, `SetDataObject`, `SetDefaultAction`, `__del__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, target) (Constructor) | source code
__init__(self, DataObject dataObject=None) -> DropTarget Returns: FileDropTarget Overrides: object.__init__ (inherited documentation)